Cyberduck Mountain Duck CLI

#8966 closed defect (thirdparty)

Unable to connect to dav server when filenames/foldernames have special characters (think ampersand)

Reported by: john bouantoun Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.7.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by dkocher)

Hi,

I was trying to connect to an apache hosted webdav server and was getting the following error:

Not a valid DAV response

After listing the dav contents using firefox to enumerate the dav url I found that there was a filename with the '&' character in it (literally H&H5678). Firefox was displaying the character correctly, and clicking on it returned the contents of the file.

Cyberduck was unable to list to the folder contents, I suspect becuase GetDirectoryList barfs on the specially encoded xml characters like the ampersand.

When I renamed the file (using the application admin UI) to remove the '&' cyberduck was abe to connect to it.

Change History (6)

comment:1 Changed on Aug 4, 2015 at 7:46:51 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 4, 2015 at 7:48:45 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

The & character must be URI encoded in the response. Please report this bug to the vendor of the server software.

comment:3 Changed on Aug 5, 2015 at 12:38:47 AM by john bouantoun

Sorry I should have been clearer on this. When listen the folder in firefox the file name is displayed as uri envoded (using the character sequence for &). So the file H&H5678 shows up as H%26H5678'.

This would indicate to me that the server is correctly encoding the characters in it's response, but the dav library being used on the client side somehow not able to understand the encoding/escaping.

Is that not the case?

comment:4 Changed on Aug 14, 2015 at 3:31:40 AM by john bouantoun

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:5 Changed on Aug 14, 2015 at 3:32:09 AM by john bouantoun

Please see previous comment about clarity here. i believe the response is url encoded already.

comment:6 Changed on Aug 14, 2015 at 1:56:53 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

I am not aware that Firefox is capable of reading WebDAV PROPFIND responses. I assume what is displayed in Firefox is a HTML document.

Note: See TracTickets for help on using tickets.